#include "mainwindow.h"
#include "ui_mainwindow.h"

double t,dt,w;
double xmin,xmax,ymin,ymax;
double epsilon;


MainWindow::MainWindow(QWidget *parent) :  QMainWindow(parent),
      ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    xmin=-10;xmax=10;
    ymin=-10;ymax=10;
    R=new repere(this,ui->graphicsView,xmin,xmax,ymin,ymax);
    t=0;dt=0.01;
    timer = new QTimer(this);
    connect(timer,SIGNAL(timeout()),this,SLOT(Clock()));
    timer->start(10);
    w=10;
}


MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::keyPressEvent(QKeyEvent *event)
{   switch (event->key())
    {
    case Qt::Key_W: w--;          break;  // consigne
    case Qt::Key_X: w++;          break;
    }
}


void MainWindow::Clock()
{       R->Clean();
        Ctr.Clock(Rob.x,Rob.theta,Rob.dx,Rob.dtheta,w);
        Rob.Clock(Ctr.u);
        R->DrawPenduleInverse(Rob.x,Rob.theta);
        t=t+dt;
}

