#include "robot.h"
extern double dt;

robot::robot()
{
    x=0;theta=0.1;dx=0;dtheta=0;
}

void robot::Clock(double u)
{   double m=1;
    double M=5;
    double l=1;
    double g=9.81;
    x     = x     +dt* dx;
    theta = theta +dt* dtheta;
    dx    = dx    +dt* (m*sin(theta)*(g*cos(theta)-l*dtheta*dtheta)+u)/(M+m*sin(theta)*sin(theta));
    dtheta= dtheta+dt* (sin(theta)*((M+m)*g-m*l*dtheta*dtheta*cos(theta))+u*cos(theta))/(l*(M+m*sin(theta)*sin(theta)));
}
